E2SCRUB(8)

BEZEICHNUNG
e2scrub - den Inhalt eines eingehängten Ext[234]-Dateisystems prüfen

ÜBERSICHT
e2scrub [OPTION] EINHÄNGEPUNKT | GERÄT

BESCHREIBUNG
e2scrub versucht, sämtliche Metadaten in einem eingehängten Ext[234]-Dateisystem zu prüfen (aber nicht zu reparieren), falls das Dateisystem sich auf einem logischen LVM-Datenträger befindet. Das Blockgerät des logischen LVM-Datenträgers kann auch übergeben werden.

Dieses Programm erstellt einen Schnappschuss des Datenträgers und führt eine Dateisystemüberprüfung auf dem Schnappschuss aus, um nach Korruptionsfehlern zu suchen. Die LVM-Datenträgergruppe muss mindestens 256 MiB an nicht reserviertem Speicher verfügbar haben, die dem Schnappschuss gewidmet werden können, oder der logische Datenträger wird übersprungen. Der Schnappschuss wird Lvname.e2scrub genannt und udev(7) wird dafür keine symbolischen Links unter /dev/disk erstellen. Es wird alles unternommen, den Schnappschuss vor der Ausführung von e2scrub zu entfernen, aber in miserablen Situationen könnte es notwendig werden, dass Sie den Schnappschuss manuell entfernen.

Falls keine Fehler gefunden wurden, kann fstrim(8) auf dem Dateisystem ausgeführt werden, falls es eingehängt ist. Falls Fehler gefunden werden, wird das Dateisystem als fehlerhaft markiert. Das Dateisystem sollte offline genommen werden und e2fsck(8) baldmöglichst ausgeführt werden, da e2scrub keine Korruptionen korrigiert. Falls das Dateisystem nicht repariert wird, wird e2fsck(8) vor dem nächsten Einhängen ausgeführt.

OPTIONEN

-n  Gibt aus, was e2scrub zum Prüfen des Dateisystems machen würde. (Hinweis: die Befehle werden nicht wirklich ausgeführt, da e2scrub allerdings einige Befehle zum Abfragen des Systems ausführen muss, um zu bestimmen, welche Befehle ausgeführt würden, muss es dennoch als root laufen.)

-r  Entfernt den E2scrub-Schnappschuss und beendet sich, ohne etwas zu prüfen.

-t  Führt fstrim(8) auf dem eingehängten Dateisystem aus, falls keine Fehler gefunden wurden.

-V  Gibt die Versionsinformationen aus und beendet sich.

EXIT-CODE
Die Exit-Codes sind die gleichen wie in e2fsck(8).

SIEHE AUCH
e2fsck(8)

AUTOR
Darrick J. Wong <darrick.wong@oracle.com>

COPYRIGHT
Copyright ©2018 Oracle. Lizenz ist GPLv2+. <http://www.gnu.org/licenses/gpl-2.0.html>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von

erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).